%global tarName speaklater

Name:           python-%{tarName}
Version:        1.3
Release:    1%{?dist}
Summary:        Implements a lazy string for python useful for use with gettext
License:        BSD
URL:            http://github.com/mitsuhiko/speaklater
Source0:        http://pypi.python.org/packages/source/s/%{tarName}/%{tarName}-%{version}.tar.gz
Patch0:         0001-Enable-building-on-python3-along-with-changes-to-doc.patch
Patch1:         0002-python3-2to3-including-doc.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
A module that provides lazy strings for translations. Basically you get an\
object that appears to be a string but changes the value every time the value\
is evaluated based on a callable you provide.

%description %_description

%package -n python3-speaklater
Summary: Implements a lazy string for python3 useful for gettext

%description -n python3-speaklater
A module that provides lazy strings for translations. Basically you get an
object that appears to be a string but changes the value every time the value
is evaluated based on a callable you provide.

This package provides the python3 version of the module.

%prep
%setup -qn %{tarName}-%{version}
%patch0 -p1
%patch1 -p1

%build
%py3_build

%install
%py3_install

%check
pushd build/lib
%{__python3} -m doctest speaklater.py
popd

%files -n python3-speaklater
%{python3_sitelib}/speaklater*
%{python3_sitelib}/__pycache__/*
%license LICENSE
%doc PKG-INFO README

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-1
- initial build
